import { __ } from "@wordpress/i18n";

export const getLayoutTags = () => {
  const dateFormat = "";
  const tags = window.dittyHooks.applyFilters("dittyItemLayoutId", [
    {
      tag: "author_avatar",
      description: __("Render the item's author avatar", "ditty-news-ticker"),
      atts: {
        wrapper: "div",
        before: "",
        after: "",
        width: "",
        height: "",
        fit: "",
        link: "",
        link_target: "",
        link_rel: "",
        link_before: "",
        link_after: "",
        class: "",
      },
    },
    {
      tag: "author_banner",
      description: __("Render the item's author banner", "ditty-news-ticker"),
      atts: {
        wrapper: "div",
        before: "",
        after: "",
        width: "",
        height: "",
        fit: "",
        link: "",
        link_target: "",
        link_rel: "",
        link_before: "",
        link_after: "",
        class: "",
      },
    },
    {
      tag: "author_bio",
      description: __(
        "Render the item's author biography",
        "ditty-news-ticker"
      ),
      atts: {
        wrapper: "div",
        before: "",
        after: "",
        link: "",
        link_target: "",
        link_rel: "",
        link_before: "",
        link_after: "",
        class: "",
      },
    },
    {
      tag: "author_name",
      description: __("Render the item's author name", "ditty-news-ticker"),
      atts: {
        wrapper: "div",
        before: "",
        after: "",
        link: "",
        link_target: "",
        link_rel: "",
        link_before: "",
        link_after: "",
        class: "",
      },
    },
    {
      tag: "author_screen_name",
      description: __(
        "Render the item's author screen name",
        "ditty-news-ticker"
      ),
      atts: {
        wrapper: "div",
        before: "",
        after: "",
        link: "",
        link_target: "",
        link_rel: "",
        link_before: "",
        link_after: "",
        class: "",
      },
    },
    {
      tag: "caption",
      description: __("Render the item caption.", "ditty-news-ticker"),
      atts: {
        wrapper: "div",
        wpautop: "",
        before: "",
        after: "",
        link: "",
        link_target: "",
        link_rel: "",
        link_before: "",
        link_after: "",
        class: "",
      },
    },
    {
      tag: "categories",
      description: __("Render the item categories", "ditty-news-ticker"),
      atts: {
        wrapper: "div",
        before: "",
        after: "",
        link_target: "",
        separator: ", ",
        class: "",
      },
    },
    {
      tag: "content",
      description: __("Render the item content.", "ditty-news-ticker"),
      atts: {
        wrapper: "div",
        before: "",
        after: "",
        class: "",
      },
    },
    {
      tag: "custom_field",
      description: __(
        "Render a custom field for the item",
        "ditty-news-ticker"
      ),
      atts: {
        id: "",
        wrapper: "div",
        before: "",
        after: "",
        class: "",
      },
    },
    {
      tag: "excerpt",
      description: __("Render the item excerpt.", "ditty-news-ticker"),
      atts: {
        wrapper: "div",
        wpautop: false,
        before: "",
        after: "",
        excerpt_length: "200",
        more: "...",
        more_link: "post",
        more_link_target: "",
        more_link_rel: "",
        more_before: "",
        more_after: "",
        class: "",
      },
    },
    {
      tag: "icon",
      description: __("Render the item icon.", "ditty-news-ticker"),
      atts: {
        wrapper: "div",
        before: "",
        after: "",
        link: "",
        link_target: "",
        link_rel: "",
        link_before: "",
        link_after: "",
        class: "",
      },
    },
    {
      tag: "image",
      description: __("Render the item image.", "ditty-news-ticker"),
      atts: {
        wrapper: "div",
        before: "",
        after: "",
        width: "",
        height: "",
        fit: "",
        link: "",
        link_target: "",
        link_rel: "",
        link_before: "",
        link_after: "",
        class: "",
      },
    },
    {
      tag: "image_url",
      description: __("Render the item image url.", "ditty-news-ticker"),
    },
    {
      tag: "permalink",
      description: __("Render the item permalink.", "ditty-news-ticker"),
    },
    {
      tag: "source",
      description: __("Render the item source.", "ditty-news-ticker"),
      atts: {
        wrapper: "div",
        before: "",
        after: "",
        link: "",
        link_target: "",
        link_rel: "",
        link_before: "",
        link_after: "",
        class: "",
      },
    },
    {
      tag: "terms",
      description: __("Render the item terms", "ditty-news-ticker"),
      atts: {
        wrapper: "div",
        before: "",
        after: "",
        term: "",
        link_target: "",
        separator: ", ",
        class: "",
      },
    },
    {
      tag: "time",
      description: __("Render the item date/time.", "ditty-news-ticker"),
      atts: {
        wrapper: "div",
        ago: "",
        format: dateFormat,
        ago_string: __("%s ago", "ditty-news-ticker"),
        before: "",
        after: "",
        link: "",
        link_target: "",
        link_rel: "",
        link_before: "",
        link_after: "",
        class: "",
      },
    },
    {
      tag: "title",
      description: __("Render the item title.", "ditty-news-ticker"),
      atts: {
        wrapper: "h3",
        before: "",
        after: "",
        link: "",
        link_target: "",
        link_rel: "",
        link_before: "",
        link_after: "",
        class: "",
      },
    },
  ]);
  // $tags = apply_filters( 'ditty_layout_tags', $tags, $item_type, $item_value );
  // ksort( $tags );
  return tags;
};
